Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002667TestLinkTest Plan (builds, milestones, test assign)public2009-06-25 21:282011-03-18 19:09
ReporterEiffel 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.8.5 (bug fixing) 
Summary0002667: Can not upgrade a testcase version for use in a further build
DescriptionWhen testcases have been added to a testplan, a user can not use the "Add/Remove Test Cases" page to upgrade the version of a testcase in order to execute it in a coming build.

In the "Add/Remove Test Cases" page, the testcases are listed with the "Version" field greyed out. The only way to upgrade the version is to remove the testcase from the testplan, re-version it then insert the testcase back into the testplan. Doing so inserts the new version in all builds, past and new ones, which is not the desired behavior. Using the "Update linked test case versions" page leads to the same result.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox
PHP Version5.2.4-2
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007376)
mhavlat (reporter)
2009-06-29 02:12

Use "Update Linked Test Case Versions" link from main page to do it.

Usability requirement:
User should be able modify version also in the case that TC was already executed in "Add/remove TC" page. This is obsolete feature as earlier we linked TC and not TC version to Test Plan.
This update make "Update Linked Test Case Versions" page obsolete - remove.
(0008036)
elpollo (reporter)
2009-10-03 02:39

I also consider very valuable if the test plan are associated to a specific version of the test cases, so the coming and the previous execution could be more accurate.
(0008037)
fman (administrator)
2009-10-03 15:55

@elpollo:
Right now TL work in this way any testplan has a linked test case version.
You can update linked version without loosing exec info about previous versions.

Version are linked TO TEST PLANS no builds, and this will not be changed.
What we allow is:

link TC version 1 to testplan
exec on buil 1 and 2
update testcase version withput loosing previous exec results
run on build 3

please explain better whta i your issue.
(0008039)
mhavlat (reporter)
2009-10-03 19:14

@Francisco,
some page or report shows wrong TC version if the TC was already updated in Test Plan. I.e. two TC versions are linked and executed here. I forget meantime which one it was. I'm sorry for poor description.
(0008251)
elpollo (reporter)
2009-11-10 22:39

@fman:
Which is the version that implements the functionality you described?
(0008258)
fman (administrator)
2009-11-11 18:07

1.8 3 and up
(0014036)
fman (administrator)
2011-03-18 19:09

solved on old releases - mantis clean up

- Issue History
Date Modified Username Field Change
2009-06-25 21:28 Eiffel New Issue
2009-06-25 21:28 Eiffel Browser => Firefox
2009-06-25 21:28 Eiffel PHP Version => 5.2.4-2
2009-06-29 02:12 mhavlat Note Added: 0007376
2009-06-29 02:14 mhavlat Assigned To => fman
2009-06-29 02:14 mhavlat Severity minor => tweak
2009-06-29 02:14 mhavlat Status new => assigned
2009-06-29 02:15 mhavlat Status assigned => new
2009-10-03 02:39 elpollo Note Added: 0008036
2009-10-03 15:55 fman Note Added: 0008037
2009-10-03 19:14 mhavlat Note Added: 0008039
2009-10-03 19:14 mhavlat Assigned To fman =>
2009-11-10 22:39 elpollo Note Added: 0008251
2009-11-11 18:07 fman Note Added: 0008258
2010-10-31 17:56 fman Status new => resolved
2010-10-31 17:56 fman Fixed in Version => 1.8.5 (bug fixing)
2010-10-31 17:56 fman Resolution open => fixed
2010-10-31 17:56 fman Assigned To => fman
2011-03-18 19:09 fman Note Added: 0014036
2011-03-18 19:09 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker